## This file is a general .xdc for the Nexys4 rev B board
## To use it in a project:
## - uncomment the lines corresponding to used pins
## - rename the used ports (in each line, after get_ports) according to the top level signal names in the project

## Clock signal
##Bank = 35, Pin name = IO_L12P_T1_MRCC_35,					Sch name = CLK100MHZ
set_property PACKAGE_PIN E3 [get_ports clk]							
	set_property IOSTANDARD LVCMOS33 [get_ports clk]
	create_clock -add -name sys_clk_pin -period 10.00 -waveform {0 5} [get_ports clk]
 

##Omnidirectional Microphone
#Bank = 35, Pin name = IO_25_35,							Sch name = M_CLK
set_property PACKAGE_PIN J5 [get_ports micClk]						
	set_property IOSTANDARD LVCMOS33 [get_ports micClk]
#Bank = 35, Pin name = IO_L24N_T3_35,						Sch name = M_DATA
set_property PACKAGE_PIN H5 [get_ports micData]					
	set_property IOSTANDARD LVCMOS33 [get_ports micData]
#Bank = 35, Pin name = IO_0_35,								Sch name = M_LRSEL
set_property PACKAGE_PIN F5 [get_ports micLRSel]					
	set_property IOSTANDARD LVCMOS33 [get_ports micLRSel]



##PWM Audio Amplifier
#Bank = 15, Pin name = IO_L4N_T0_15,						Sch name = AUD_PWM
set_property PACKAGE_PIN A11 [get_ports ampPWM]					
	set_property IOSTANDARD LVCMOS33 [get_ports ampPWM]
#Bank = 15, Pin name = IO_L6P_T0_15,						Sch name = AUD_SD
set_property PACKAGE_PIN D12 [get_ports ampSD]						
	set_property IOSTANDARD LVCMOS33 [get_ports ampSD]