library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity nexys4_micro_audioout_minimal_bench is
end nexys4_micro_audioout_minimal_bench;

architecture Behavioral of nexys4_micro_audioout_minimal_bench is

component nexys4_micro_audioout_minimal is Port (
	clk, micData: in STD_LOGIC;
    ampPWM, micClk, micLRSel, ampSD : out STD_LOGIC);
end component;

signal clk_in: std_logic:='0';
constant clk_in_half_period : time := 5 ns;
signal pwm_out, micClk_out, micData_in: std_logic:='0';

begin

audio0: nexys4_micro_audioout_minimal port map(
	clk => clk_in,
	micData => micData_in,
    ampPWM => pwm_out,
	micClk => micClk_out,
	micLRSel => open,
	ampSD => open);

clk_in <= not clk_in after clk_in_half_period;

process begin
    wait until falling_edge(micClk_out);
	micData_in <= not micData_in;
end process;

end Behavioral;