library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.numeric_std.all;

entity nexys4_micro_audioout_minimal is Port (
	clk, micData: in STD_LOGIC;
    ampPWM, micClk, micLRSel, ampSD : out STD_LOGIC);
end nexys4_micro_audioout_minimal;

architecture Behavioral of nexys4_micro_audioout_minimal is

signal clockdivider: unsigned(4 downto 0):=(others => '0');
signal pwm_counter, mic_byte, pwm_byte: unsigned(7 downto 0):=(others => '0');
signal sr: unsigned(255 downto 0):=(others => '0');
signal sr_rise: std_logic_vector (2 downto 0) := "000";

begin
micClk <= clockdivider(4);
micLRSel <= '0';
ampSD <= '1';

process begin
    wait until falling_edge(clk);
	sr_rise <= sr_rise(1 downto 0) & clockdivider(4);
	
    clockdivider <= clockdivider +1;
    pwm_counter <= pwm_counter +1;
	
    if pwm_counter = 0 then
        pwm_byte <= mic_byte;
    end if;
    
    if pwm_counter < pwm_byte then
        ampPWM <= '1';
    else
        ampPWM <= '0';
    end if;
	
	if sr_rise(1) = '1' and sr_rise(2) = '0' then -- steigende Flanke
		sr <= sr(254 downto 0) & micData;
    
		if    sr(255) = '1' and sr(0) = '0' then
			mic_byte <= mic_byte -1;
		elsif sr(255) = '0' and sr(0) = '1' then
			mic_byte <= mic_byte +1;
		end if;
	end if;
end process;

end Behavioral;